## GocGraph GocGraph — Graph. |

## Properties

GogGraph * | graph | Write
gdouble | height | Read / Write
GogRenderer * | renderer | Read / Write
gdouble | width | Read / Write
gdouble | x | Read / Write
gdouble | y | Read / Write

## Types and Values

| GocGraph
typedef | GocGraphClass

## Object Hierarchy

        GObject
        ╰── GocItem
            ╰── GocGraph

## Description

GocLine implements GogGraph embedding in the canvas.

## Functions

## Types and Values

### GocGraph

    typedef struct _GocGraph GocGraph;

### GocGraphClass

    typedef GocItemClass GocGraphClass;

## Property Details

### The `“graph”` property

      “graph”                    GogGraph *

The GogGraph this object displays.

Flags: Write

### The `“height”` property

      “height”                   gdouble

Height.

Flags: Read / Write

Allowed values: >= 0

Default value: 100

### The `“renderer”` property

      “renderer”                 GogRenderer *

The GogRenderer being displayed.

Flags: Read / Write

### The `“width”` property

      “width”                    gdouble

Width.

Flags: Read / Write

Allowed values: >= 0

Default value: 100

### The `“x”` property

      “x”                        gdouble

The graph left position.

Flags: Read / Write

Default value: 0

### The `“y”` property

      “y”                        gdouble

The graph top position.

Flags: Read / Write

Default value: 0